package com.bonus.canteen.core.menu.dto;

import com.bonus.canteen.core.device.vo.DeviceFullInfoVO;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

public class MenuRecipeMachineChangeDTO {
   @ApiModelProperty("菜谱id")
   private @NotNull(
   message = "{menu_recipe_id_null}"
) Long recipeId;
   @ApiModelProperty("食堂id")
   private @NotNull(
   message = "{menu_canteen_id_null}"
) Long canteenId;
   @ApiModelProperty("档口id")
   private @NotNull(
   message = "{menu_stall_id_null}"
) Long shopstallId;
   @ApiModelProperty("餐线id")
   private Long mealLineId;
   @ApiModelProperty("设备列表")
   private @Size(
   min = 1,
   message = "{menu_machine_list_null}"
) List<Long> machineIdList;
   @ApiModelProperty("设备列表")
   private List<DeviceFullInfoVO> deviceFullInfoVOList;

   public Long getRecipeId() {
      return this.recipeId;
   }

   public Long getCanteenId() {
      return this.canteenId;
   }

   public Long getShopstallId() {
      return this.shopstallId;
   }

   public Long getMealLineId() {
      return this.mealLineId;
   }

   public List<Long> getMachineIdList() {
      return this.machineIdList;
   }

   public List<DeviceFullInfoVO> getDeviceFullInfoVOList() {
      return this.deviceFullInfoVOList;
   }

   public void setRecipeId(final Long recipeId) {
      this.recipeId = recipeId;
   }

   public void setCanteenId(final Long canteenId) {
      this.canteenId = canteenId;
   }

   public void setShopstallId(final Long shopstallId) {
      this.shopstallId = shopstallId;
   }

   public void setMealLineId(final Long mealLineId) {
      this.mealLineId = mealLineId;
   }

   public void setMachineIdList(final List<Long> machineIdList) {
      this.machineIdList = machineIdList;
   }

   public void setDeviceFullInfoVOList(final List<DeviceFullInfoVO> deviceFullInfoVOList) {
      this.deviceFullInfoVOList = deviceFullInfoVOList;
   }
}
